Bug 977423 (CVE-2013-2209)

Summary: CVE-2013-2209 ReviewBoard: Stored XSS due improper sanitization of user's full name in the reviews dropdown
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jrusnack, sgallagh
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130622,reported=20130622,source=internet,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,fedora-all/ReviewBoard=affected,epel-6/ReviewBoard=affected,cwe=CWE-79[auto]
Fixed In Version: ReviewBoard-1.7.10, ReviewBoard-1.6.17 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 11:00:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 977428, 977429    
Bug Blocks:    

Description Jan Lieskovsky 2013-06-24 14:03:13 UTC
A persistent / stored cross-site scripting (XSS) flaw was found in the way reviews dropdown of Review Board, a web-based code review tool, performed sanitization of certain user information (full name). A remote attacker could provide a specially-crafted URL that, when visited would lead to arbitrary HTML or web script execution in the context of Review Board user's session.

References:
[1] http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.10/
[2] http://www.reviewboard.org/docs/releasenotes/reviewboard/1.6.17/
[3] http://www.reviewboard.org/news/2013/06/22/review-board-1617-and-1710-released/

Comment 2 Jan Lieskovsky 2013-06-24 14:14:31 UTC
This issue affects the versions of the ReviewBoard package, as shipped with Fedora release of 17 and 18. Please schedule an update.

--

This issue affects the versions of the ReviewBoard package, as shipped with Fedora EPEL-6. Please schedule an update.

Comment 3 Jan Lieskovsky 2013-06-24 14:15:26 UTC
Created ReviewBoard tracking bugs for this issue

Affects: fedora-all [bug 977428]
Affects: epel-6 [bug 977429]

Comment 4 Jan Lieskovsky 2013-06-24 14:48:01 UTC
CVE Request:
  http://www.openwall.com/lists/oss-security/2013/06/24/1

Comment 5 Jan Lieskovsky 2013-06-24 16:07:02 UTC
The CVE identifier of CVE-2013-2209 has been assigned to this issue:
  http://www.openwall.com/lists/oss-security/2013/06/24/2

Comment 6 Fedora Update System 2013-07-06 00:50:30 UTC
ReviewBoard-1.7.11-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-07-06 00:57:48 UTC
ReviewBoard-1.7.11-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-07-22 21:45:41 UTC
ReviewBoard-1.7.11-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Product Security DevOps Team 2019-06-10 11:00:49 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.